﻿#notificationBadge {
    margin: -4px 7px 0 5px;
}

#notificationSidebar .b-sidebar-body {
    overflow: hidden;
}

.notificationCardContainer {
    overflow-y: auto;
    max-height: 95vh;
}

.notificationBadgeContainer {
    padding-right: 5px;
    position: absolute;
    right: 7px;
    top: 5px;
}

    .notificationBadgeContainer .notificationBadge {
        font-size: 13px;
    }

.notificationSort {
    font-size: 15px;
}

.noNotification {
    font-size: 25px;
}

.notificationToggle {
    display: inline-block;
    height: 100%;
}

    .notificationToggle label {
        margin-bottom: 0 !important;
    }


/* The switch - the box around the slider */
.switch {
    position: relative;
    width: 36px;
    height: 20px;
}

    /* Hide default HTML checkbox */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .2s;
    transition: .2s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 16px;
        width: 16px;
        left: 2px;
        bottom: 2px;
        background-color: white;
        -webkit-transition: .2s;
        transition: .2s;
    }

input:checked + .slider {
    background-color: var(--primary-color);
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(16px);
    -ms-transform: translateX(16px);
    transform: translateX(16px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 17px;
}

    .slider.round:before {
        border-radius: 50%;
    }

.notificationLink {
    color: var(--link-color);
    text-decoration: underline;
}